Bug 450461 - xfs corrupted after grow online
xfs corrupted after grow online
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-08 15:20 EDT by lomic
Modified: 2008-09-24 21:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-24 21:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lomic 2008-06-08 15:20:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 2.0.50727)

Description of problem:
When I use xfs_growfs for a xfs file system online (mounted) that is on LVM, I may have input/output error later.  Also, always return 1 after xfs_repair -n.

I tested with 32bit Fedora 8.  No problem!  Just fails on x84_64

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mount a xfs file system that is on LVM on an 64bit system
2. lvextend the partition
3. xfs_growfs partition
4. umount the file system
5. xfs_repair -n the file system

Actual Results:
echo $? = 1
But no problem found by xfs_check
sometime may get input/output error when operates on some directories in the file system.

Expected Results:
echo $? = 0

Additional info:
I have to umount the file system and run xfs_repair to repair the file system or grow the file system when it is umounted.
Comment 1 Eric Sandeen 2008-06-09 00:09:45 EDT
> echo $? = 1

the actual xfs_repair output would be most helpful.

> or grow the file system when it is umounted.

That is impossible with xfs; there is no way that you could have done this...

Are you sure that the corruption did not exist before the growfs?  Can you
reproduce it?

Comment 2 Eric Sandeen 2008-06-09 00:15:54 EDT
Also, how big was the fs before and after the growth; what kernel version are
you running.
Comment 3 Eric Sandeen 2008-08-21 17:08:54 EDT
I'm going to need more info about the failure to be able to do anythingwith this.  Can you answer any of the questions above?  If not I'm afraid I'll have to close with INSUFFICIENT DATA.
Comment 4 Eric Sandeen 2008-09-24 21:41:52 EDT
Months go by with no reply; no details.  Can't fix.  Feel free to reopen with details.

Note You need to log in before you can comment on or make changes to this bug.